Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.maven
Interface PomFilterContainer

All Known Subinterfaces:
  CopyableGroovyPomFilterContainer, CopyablePomFilterContainer, GroovyMavenDeployer, GroovyPomFilterContainer, MavenDeployer, MavenResolver

    public interface PomFilterContainer

Field Summary
`static java.lang.String` | `DEFAULT_ARTIFACT_POM_NAME`

Method Summary
`MavenPom` | `addFilter(java.lang.String name, PublishFilter publishFilter)` If you want to deploy more than one artifact you need to define filters to select each of those artifacts.
`PublishFilter` | `filter(java.lang.String name)` Returns a filter added with `addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)`
`java.lang.Iterable<org.gradle.api.internal.artifacts.publish.maven.deploy.PomFilter>` | `getActivePomFilters()`
`PublishFilter` | `getFilter()` Returns the default filter being used.
`MavenPom` | `getPom()` Returns the pom property of the custom filter.
`MavenPom` | `pom(java.lang.String name)` Returns the pom associated with a filter added with `addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)`.
`void` | `setFilter(PublishFilter defaultFilter)` Sets the default filter to be used.
`void` | `setPom(MavenPom defaultPom)` Sets the default pom to be used.

Field Detail

### DEFAULT_ARTIFACT_POM_NAME

    static final java.lang.String DEFAULT_ARTIFACT_POM_NAME

See Also:
  Constant Field Values

Method Detail

### getFilter

    PublishFilter getFilter()

  Returns the default filter being used. .

  See Also:
    `setFilter(org.gradle.api.artifacts.maven.PublishFilter)`

### setFilter

    void setFilter(PublishFilter defaultFilter)

  Sets the default filter to be used. This filter is active if no custom filters have been added (see `addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)`). If at least one custom filter has been added the default filter is not used any longer.

  The default for this property is `PublishFilter.ALWAYS_ACCEPT`. If there is only one artifact you are fine with this filter. If there is more than one artifact, deployment will lead to an exception, if you don't specify a filter that selects the artifact to deploy. If you want to deploy more than one artiact you have to use the (see `addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)` method.

  Parameters:
    `defaultFilter` -
  See Also:
    `getFilter()`

### getPom

    MavenPom getPom()

  Returns the pom property of the custom filter. The pom property can be used to customize the pom generation. By default the properties of such a pom object are all null. Null means that Gradle will use default values for generating the Maven pom. Those default values are derived from the deployable artifact and from the project type (e.g. java, war, ...). If you explicitly set a pom property, Gradle will use those instead.

  Returns:
    The Maven Pom

### setPom

    void setPom(MavenPom defaultPom)

  Sets the default pom to be used. This pom is active if no custom filters have been added (see `addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)`). If at least one custom filter has been added the default pom is not used any longer.

  Usually you don't need to set this property as the default value provides you a pom object you might use for configuration. By default the properties of such a pom object are all null. If they are null, Gradle will use default values for generating the Maven pom. Those default values are derived from the deployable artifact and from the project type (e.g. java, war, ...). If you explicitly set a pom property, Gradle will use this instead.

  Parameters:
    `defaultPom` -

### addFilter

    MavenPom addFilter(java.lang.String name,
                       PublishFilter publishFilter)

  If you want to deploy more than one artifact you need to define filters to select each of those artifacts. The method returns a pom object associated with this filter, that allows you to customize the pom generation for the artifact selected by the filter.

  Parameters:
    `name` - The name of the filter
    `publishFilter` - The filter to use
  Returns:
    The pom associated with the filter

### filter

    PublishFilter filter(java.lang.String name)

  Returns a filter added with `addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)`

  Parameters:
    `name` - The name of the filter

### pom

    MavenPom pom(java.lang.String name)

  Returns the pom associated with a filter added with `addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)`.

  Parameters:
    `name` - The name of the filter.

### getActivePomFilters

    java.lang.Iterable<org.gradle.api.internal.artifacts.publish.maven.deploy.PomFilter> getActivePomFilters()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD